# spec file for package openvpn (Version 2.0)
#

%define version 2.0
%define release alt1

Name: openvpn
Version: %version
Release: %release

Summary: a full-featured SSL VPN solution
Summary(ru_RU.KOI8-R):   VPN   SSL

License: GPL
Group: System/Servers
URL: http://www.openvpn.net

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

BuildRequires: glibc-kernheaders
BuildRequires: libssl-devel, zlib-devel, liblzo-devel
Source0: %name-%version.tar.gz
Source1: %name.init
Source2: %name-startup

%description
OpenVPN is a full-featured SSL VPN solution which can accomodate
a wide range  of configurations,  including road warrior access, 
home/office/campus  telecommuting,  WiFi security, secure branch 
office  linking,  and enterprise-scale  remote access  solutions 
with load balancing, failover, and fine-grained access-controls.

%description -l ru_RU.KOI8-R
OpenVPN  -     VPN   
SSL,        , 
   ̣  ,   
  ,         , 
    ̣ ,     ̣ 
      ,
     .

%define openvpn_root   %_localstatedir/%name
%define openvpn_cache  %openvpn_root/cache

%prep
%setup -n %name-%version

%build
%configure --enable-iproute2
%make_build
%__subst 's|nobody|openvpn|' sample-config-files/*
%__make -C plugin/down-root/
# %__make -C plugin/auth-pam/

%install
%makeinstall
%__mkdir_p %buildroot/%_initdir
%__install -m 0750 -d %buildroot%_sysconfdir/%name
%__install -m 0750 -d %buildroot%_sysconfdir/%name/keys
%__install -m 0755 -d %buildroot%openvpn_root
%__install -m 0755 -d %buildroot%openvpn_cache
%__install -m 0755 %SOURCE1 %buildroot%_initdir/%name
%__install -m 0750 %SOURCE2 %buildroot%_sysconfdir/%name
%pre
# Add the "openvpn" user
/usr/sbin/useradd -c 'OpenVPN daemon' \
        -s /dev/null -r -d /dev/null openvpn 2> /dev/null || :

%post
%post_service %name

%preun
%preun_service %name

%files
%_sbindir/%name
%_mandir/man?/*

%doc AUTHORS COPYING ChangeLog INSTALL-win32.txt INSTALL NEWS PORTS README 
%doc easy-rsa* sample-config-files* sample-keys* management* sample-scripts* plugin/*

%_initdir/%name

%attr(0750,root,openvpn)    %dir %_sysconfdir/%name
%attr(0750,root,openvpn)    %dir %_sysconfdir/%name/keys
%attr(0750,root,openvpn)    %dir %openvpn_root
%attr(0750,openvpn,openvpn) %dir %openvpn_cache

%config(noreplace) 	    %_sysconfdir/%name/%name-startup


%changelog 
* Wed Apr 27 2005 Nikolay A. Fetisov <naf@altlinux.ru> 2.0-alt1
- First build for Sisyphus

* Fri Apr 22 2005 Nikolay A. Fetisov <naf@altlinux.ru> 2.0-alt0
- First build of 2.0 release

* Mon Jan 10 2005 - Nikolay A. Fetisov <naf@nat.net.ru> 1.0.3-naf1.rc6
- Updating to version 2.0_rc6

* Sun Dec 26 2004 - Nikolay A. Fetisov <naf@nat.net.ru> 1.0.3-naf1
- Initial build
